Bug Hunting Session
Bug 127711 - A runtime-switch for the MiniCrashDump
Summary: A runtime-switch for the MiniCrashDump
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-23 09:19 UTC by Juergen Funk (CIB)
Modified: 2019-10-10 09:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Funk (CIB) 2019-09-23 09:19:38 UTC
With this switch should be possible for on/off the creation of the:
 - Dump.ini 
 - crashdumpfile.dmp

Then it be possible, for define at the compile-time, what the state the switch have, default is ON

For short client-test need a environment variable for set it ON, only when the switch have the state OFF. 

For this feature need a improvment of the CrashReporter-Class, for simpler handling of the new switch.
Comment 1 anwar 2019-09-23 09:51:56 UTC Comment hidden (spam)
Comment 2 Juergen Funk (CIB) 2019-09-24 06:14:42 UTC
In soffice.ini (sofficerc) the new entry "CrashDumpEnable" default is "true"

The compile-time-switch is "--disable-crashdump", then set the
switch to "false"

 - when "CrashDumpEnable" is false then the Dump.ini and the dump-file 
   are not written
 - when the entry "CrashDumpEnable" is missing, in this case is the
   default true, too
 - the checkbox under Options-General "Send crash reports to ..."
   is deactive and shows off (only view, not change the config)

The environment variable is "CRASH_DUMP_ENABLE" when set to any char,
then the switch "CrashDumpEnable=false" are overrules with true
and the Dump.ini and dump-file are write

Here gerrits
https://gerrit.libreoffice.org/#/c/79272
https://gerrit.libreoffice.org/#/c/79273
Comment 3 Commit Notification 2019-10-02 07:44:25 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2215be5268a646d3cc7d138a0184c6826585b7fb

tdf#127711 - A runtime-switch for the MiniCrashDump

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Thorsten Behrens (CIB) 2019-10-10 09:17:34 UTC
Looks fixed to me.